---
- hosts: gitlab
  become: yes
  pre_tasks:
    - name: Create srv directory
      file: path=/srv owner=root group=root mode=0755 state=directory
  roles:
    - role: gitlab
      # Gitlal version, optional, if not set, use the latest version.
      gitlab_version: '9.4.0-ce.0'
      # External gitlab URL
      gitlab_external_url: 'https://192.168.16.1'
      # Admin credential, optional, see defaults/main.yml
      gitlab_admin_username: superadmin
      # The password must be at least 8 characters
      gitlab_admin_password: nimda1234
      # Admin personal token, see README.md
      #gitlab_admin_token: 'bdP4MXfBA57WQUFBsgJE'
      gitlab_data_dir: /srv/gitlab/git-data
      # Users creation dict
      gitlab_users:
        user1:
          username: user1
          name: user1
          # The password must be at least 8 characters
          password: toto1234
          email: user1@mymail.com
        user2:
          username: user2
          name: user2
          # The password must be at least 8 characters
          password: titi1234
          email: user2@mymail.com
      # Groups creation dict
      gitlab_groups:
        group1: {name: group1, path: group1}
        group2: {name: group2, path: group2}
      # Subgroups creation dict (order is important)
      gitlab_subgroups:
        subgroup1: {name: subgroup1, path: subgroup1, group_parent_name: group1}
        subgroup2: {name: subgroup2, path: subgroup2, group_parent_name: 'group1/subgroup1'}
      # Projects creation dict (order is important)
      gitlab_projects:
        project1: {name: project1, group_path: group1}
        project2: {name: project2, group_path: group2}
        project3: {name: project3, group_path: 'group1/subgroup1'}
        project4: {name: project4, group_path: 'group1/subgroup1/subgroup2'}
